Version 6.x.x Source
Single Replace a particular BOM in all other BOMs where it is used. It will replace the old BOM link, update cost and regenerate "BOM Explosion Item" table as per new BOM

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `current_bom` | Link | Current BOM The BOM which will be replaced | BOM
2 | `new_bom` | Link | New BOM The new BOM after replacement | BOM
3 | `replace` | Button | Replace |
    replace_bom

### Controller

#### erpnext.manufacturing.doctype.bom_replace_tool.bom_replace_tool

### Class BOMReplaceTool

Inherits from frappe.model.document.Document

get_parent_boms (self)

No docs

replace_bom (self)

No docs

update_new_bom (self)

No docs

validate_bom (self)

No docs